--- Lib/site.py~	2006-08-16 01:01:42.000000000 -0400
+++ Lib/site.py	2008-02-25 20:42:05.000000000 -0500
@@ -193,6 +193,12 @@
                 # locations. Currently only per-user, but /Library and
                 # /Network/Library could be added too
                 if 'Python.framework' in prefix:
+                    # always add in
+                    # ${prefix}/lib/python${version}/site-packages
+                    # when using MacPorts, and Framework
+                    sitedirs.append(
+                        os.path.join("__PREFIX__", "lib", "python" +
+                                     sys.version[:3], "site-packages"))
                     home = os.environ.get('HOME')
                     if home:
                         sitedirs.append(
